Bug 224057 - devel/b2: upgrade to 1.1.0 and fix
Summary: devel/b2: upgrade to 1.1.0 and fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-03 15:41 UTC by Larry Rosenman
Modified: 2017-12-04 09:00 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (robak)


Attachments
upgrade patch (1.43 KB, patch)
2017-12-03 15:41 UTC, Larry Rosenman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2017-12-03 15:41:09 UTC
Created attachment 188493 [details]
upgrade patch

devel/b2 is missing a dependency on devel/py-futures, and there is an upgrade to 1.1.0.


This patch fixes both.

1.1.0 (November 30, 2017)

Just one change in this release:

Add support for CORS rules in create-bucket and update-bucket. get-bucket will display CORS rules.
1.0.0 (November 9, 2017)

This is the same code as 0.7.4, with one incompatible change:

Require --allowEmptySource to sync from empty directory, to help avoid accidental deletion of all files.
Comment 1 commit-hook freebsd_committer 2017-12-04 09:00:03 UTC
A commit references this bug:

Author: robak
Date: Mon Dec  4 08:59:40 UTC 2017
New revision: 455499
URL: https://svnweb.freebsd.org/changeset/ports/455499

Log:
  devel/b2: fix missing dependency and update 0.7.2 -> 1.1.0

  - Fix missing py-futures dependency
  - Add NO_ARCH

  PR:		224057
  Submitted by:	ler
  MFH:		2017Q4

Changes:
  head/devel/b2/Makefile
  head/devel/b2/distinfo
Comment 2 Bartek Rutkowski freebsd_committer 2017-12-04 09:00:44 UTC
Committed, thanks!